﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace StrategicCombat.GamerStatistics
{
    /// <summary>
    /// A serializable class that represent statistics for one gamer.
    /// </summary>
    public class GamerStats
    {
        #region Variables

        public String gamerTag;
        public int blueTeamWins;
        public int redTeamWins;

        #endregion

        #region Constructors

        /// <summary>
        /// Create new gamer statistics for a gamer.
        /// </summary>
        /// <param name="gamerTag"></param>
        public GamerStats(String gamerTag, int blueTeamWins, int redTeamWins)
        {

            // Set data for instance variables
            this.gamerTag = gamerTag;
            this.blueTeamWins = blueTeamWins;
            this.redTeamWins = redTeamWins;

        }

        /// <summary>
        /// A default constructor needed to be able to deserialize data.
        /// </summary>
        public GamerStats()
        {

        }

        #endregion

    } // End of class

} // End of namespace
