﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;

namespace StrategicCombat.Maps
{
    /// <summary>
    /// This class represent combatScene 5
    /// </summary>
    public class CombatSceneFive : CombatScene
    {

        #region Constructors

        /// <summary>
        /// Create a new combat scene.
        /// </summary>
        /// <param name="content"></param>
        public CombatSceneFive(ContentManager content)
            : base(content)
        {
            // Load the textures
            this.combatSceneTexture = content.Load<Texture2D>("Maps/CombatSceneFive/dry-asphalt");
            this.barrierTexture = content.Load<Texture2D>("Maps/CombatSceneFive/brickTexture");

            // Create the barriers list.
            this.barriers = new Rectangle[4];

            this.barriers[0] = new Rectangle(this.combatSceneRectangle.Left, this.combatSceneRectangle.Top + 263, 200, 50);
            this.barriers[1] = new Rectangle(this.combatSceneRectangle.Left + 375, this.combatSceneRectangle.Top, 50, 200);
            this.barriers[2] = new Rectangle(this.combatSceneRectangle.Left + 375, this.combatSceneRectangle.Top + 376, 50, 200);
            this.barriers[3] = new Rectangle(this.combatSceneRectangle.Left + 600, this.combatSceneRectangle.Top + 263, 200, 50);

        }

        #endregion

    } // End of class

} // End of namespace
